---
title: 'Create Loyalty Multiplier'
description: 'Create a new loyalty multiplier for a wallet.'
openapi: POST /api/loyalty/multipliers
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`POST /api/loyalty/multipliers`

`POST https://admin.snagsolutions.io/api/loyalty/multipliers`

Create a new loyalty multiplier for a wallet.

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Request body

- Content type: `application/json`
  - request body (object) — Schema for creating a loyalty multiplier
    - `walletAddress` (string, required)
    - `multiplier` (number, required)
    - `title` (string)
    - `description` (string)
    - `externalIdentifier` (string)

## Response 200

200
  - response (object) — Schema for loyalty multiplier
    - `id` (string, uuid, required)
    - `userId` (string, uuid, required)
    - `websiteId` (string, uuid, required)
    - `organizationId` (string, uuid, required)
    - `multiplier` (number, required)
    - `title` (string, required)
    - `description` (string, required)
    - `externalIdentifier` (string, required)
    - `createdAt` (string, required)
    - `updatedAt` (string, required)
    - `deletedAt` (string, required)
    - `user` (object, required) — Schema for a loyalty multiplier user
      - `id` (string, uuid, required)
      - `walletAddress` (string, required)
    - `loyaltyRuleId` (string, uuid)

## Response 400

400
  - response (object) — Schema for bad request response
    - `message` (string, required) — Error message

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
